<?php
include 'nieuws.inc.php';

@list ($year, $page) = explode('/', trim($Args, '/'));

if ($page and !is_numeric($page)) {
	$edit = !empty($User['admin']) ? htmlspecialchars(@$_GET['edit']) : NULL;
	print shownewsarticle($Page.$Args, FALSE, $edit);
	return 1;
}

if ($year) {
	ob_clean();
	$title = "Nieuws";
	if (is_numeric($year) and $year > 999) {
		$match = "$Page/$year/";
		if (is_numeric($page)) {
			$title .= ' '.$monthname[intval($page)];
			$match .= sprintf('%02d-', $page);
		}
		$title .= ' '.$year;
	}
	elseif ($year === '19') {
		$match = "$Page/19??/";
		$title .= " vóór 2000";
	}

	print "<h2>$title</h2>\n\n";
	shownews(glob($match.'*.html'));
	return 1;
}

print '<div id="news">'."\n\n";

foreach (array_reverse(glob("$Page/2???")) as $page) {
	$year = basename($page, '.html');
	printf('<h3><a href="/%s">%s</a></h3>'."\n", $page, $year);
	printtoc($page);
}

if ($pages = glob("$Page/19??/*.html")) {
	printf('<h3><a href="/%s">%s</a></h3>'."\n", "$Page/19", 'Eerder');
	printtoc($pages);
}

print "</div>\n\n";

if (!empty($User['admin'])) {
	print '<script src="/nieuws/edit.js"></script>'."\n";
}
